package com.amap.api.col.3sl;

package ..deTemp.1734229269956;

import android.graphics.Point;
import com.amap.api.col.3sl.ai;
import com.amap.api.col.3sl.aj;
import com.amap.api.col.3sl.ak;
import com.amap.api.col.3sl.al;
import com.amap.api.maps.model.CameraPosition;
import com.amap.api.maps.model.LatLng;
import com.amap.api.maps.model.LatLngBounds;
import com.autonavi.amap.mapcore.AbstractCameraUpdateMessage;
import com.autonavi.amap.mapcore.DPoint;
import com.autonavi.amap.mapcore.VirtualEarthProjection;

public final class am {
  public static AbstractCameraUpdateMessage a() {
    al al;
    ((AbstractCameraUpdateMessage)(al = new al())).nowType = AbstractCameraUpdateMessage.Type.zoomBy;
    ((AbstractCameraUpdateMessage)al).amount = 1.0F;
    return (AbstractCameraUpdateMessage)al;
  }
  
  public static AbstractCameraUpdateMessage b() {
    al al;
    ((AbstractCameraUpdateMessage)(al = new al())).nowType = AbstractCameraUpdateMessage.Type.zoomBy;
    ((AbstractCameraUpdateMessage)al).amount = -1.0F;
    return (AbstractCameraUpdateMessage)al;
  }
  
  public static AbstractCameraUpdateMessage a(float paramFloat1, float paramFloat2) {
    ak ak;
    ((AbstractCameraUpdateMessage)(ak = new ak())).nowType = AbstractCameraUpdateMessage.Type.scrollBy;
    ((AbstractCameraUpdateMessage)ak).xPixel = paramFloat1;
    ((AbstractCameraUpdateMessage)ak).yPixel = paramFloat2;
    return (AbstractCameraUpdateMessage)ak;
  }
  
  public static AbstractCameraUpdateMessage a(float paramFloat) {
    aj aj;
    ((AbstractCameraUpdateMessage)(aj = new aj())).nowType = AbstractCameraUpdateMessage.Type.newCameraPosition;
    ((AbstractCameraUpdateMessage)aj).zoom = paramFloat;
    return (AbstractCameraUpdateMessage)aj;
  }
  
  public static AbstractCameraUpdateMessage b(float paramFloat) {
    return a(paramFloat, null);
  }
  
  public static AbstractCameraUpdateMessage a(float paramFloat, Point paramPoint) {
    al al;
    ((AbstractCameraUpdateMessage)(al = new al())).nowType = AbstractCameraUpdateMessage.Type.zoomBy;
    ((AbstractCameraUpdateMessage)al).amount = paramFloat;
    ((AbstractCameraUpdateMessage)al).focus = paramPoint;
    return (AbstractCameraUpdateMessage)al;
  }
  
  public static AbstractCameraUpdateMessage a(CameraPosition paramCameraPosition) {
    aj aj;
    ((AbstractCameraUpdateMessage)(aj = new aj())).nowType = AbstractCameraUpdateMessage.Type.newCameraPosition;
    if (paramCameraPosition == null || paramCameraPosition.target == null)
      return (AbstractCameraUpdateMessage)aj; 
    DPoint dPoint = VirtualEarthProjection.latLongToPixelsDouble(paramCameraPosition.target.latitude, paramCameraPosition.target.longitude, 20);
    dPoint = new DPoint(dPoint.x, dPoint.y);
    ((AbstractCameraUpdateMessage)aj).geoPoint = dPoint;
    ((AbstractCameraUpdateMessage)aj).zoom = paramCameraPosition.zoom;
    ((AbstractCameraUpdateMessage)aj).bearing = paramCameraPosition.bearing;
    ((AbstractCameraUpdateMessage)aj).tilt = paramCameraPosition.tilt;
    ((AbstractCameraUpdateMessage)aj).cameraPosition = paramCameraPosition;
    return (AbstractCameraUpdateMessage)aj;
  }
  
  public static AbstractCameraUpdateMessage a(Point paramPoint) {
    aj aj;
    ((AbstractCameraUpdateMessage)(aj = new aj())).nowType = AbstractCameraUpdateMessage.Type.newCameraPosition;
    DPoint dPoint = new DPoint(paramPoint.x, paramPoint.y);
    ((AbstractCameraUpdateMessage)aj).geoPoint = dPoint;
    return (AbstractCameraUpdateMessage)aj;
  }
  
  public static AbstractCameraUpdateMessage c(float paramFloat) {
    aj aj;
    ((AbstractCameraUpdateMessage)(aj = new aj())).nowType = AbstractCameraUpdateMessage.Type.newCameraPosition;
    ((AbstractCameraUpdateMessage)aj).tilt = paramFloat;
    return (AbstractCameraUpdateMessage)aj;
  }
  
  public static AbstractCameraUpdateMessage d(float paramFloat) {
    aj aj;
    ((AbstractCameraUpdateMessage)(aj = new aj())).nowType = AbstractCameraUpdateMessage.Type.newCameraPosition;
    ((AbstractCameraUpdateMessage)aj).bearing = paramFloat;
    return (AbstractCameraUpdateMessage)aj;
  }
  
  public static AbstractCameraUpdateMessage b(float paramFloat, Point paramPoint) {
    aj aj;
    ((AbstractCameraUpdateMessage)(aj = new aj())).nowType = AbstractCameraUpdateMessage.Type.newCameraPosition;
    DPoint dPoint = new DPoint(paramPoint.x, paramPoint.y);
    ((AbstractCameraUpdateMessage)aj).geoPoint = dPoint;
    ((AbstractCameraUpdateMessage)aj).bearing = paramFloat;
    return (AbstractCameraUpdateMessage)aj;
  }
  
  public static AbstractCameraUpdateMessage a(LatLng paramLatLng) {
    return a(CameraPosition.builder().target(paramLatLng)
        .zoom(Float.NaN).bearing(Float.NaN).tilt(Float.NaN).build());
  }
  
  public static AbstractCameraUpdateMessage a(LatLng paramLatLng, float paramFloat) {
    return a(CameraPosition.builder().target(paramLatLng)
        .zoom(paramFloat).bearing(Float.NaN).tilt(Float.NaN).build());
  }
  
  public static AbstractCameraUpdateMessage a(LatLngBounds paramLatLngBounds, int paramInt) {
    ai ai;
    ((AbstractCameraUpdateMessage)(ai = new ai())).nowType = AbstractCameraUpdateMessage.Type.newLatLngBounds;
    ((AbstractCameraUpdateMessage)ai).bounds = paramLatLngBounds;
    ((AbstractCameraUpdateMessage)ai).paddingLeft = paramInt;
    ((AbstractCameraUpdateMessage)ai).paddingRight = paramInt;
    ((AbstractCameraUpdateMessage)ai).paddingTop = paramInt;
    ((AbstractCameraUpdateMessage)ai).paddingBottom = paramInt;
    return (AbstractCameraUpdateMessage)ai;
  }
  
  public static AbstractCameraUpdateMessage a(LatLngBounds paramLatLngBounds, int paramInt1, int paramInt2, int paramInt3) {
    ai ai;
    ((AbstractCameraUpdateMessage)(ai = new ai())).nowType = AbstractCameraUpdateMessage.Type.newLatLngBoundsWithSize;
    ((AbstractCameraUpdateMessage)ai).bounds = paramLatLngBounds;
    ((AbstractCameraUpdateMessage)ai).paddingLeft = paramInt3;
    ((AbstractCameraUpdateMessage)ai).paddingRight = paramInt3;
    ((AbstractCameraUpdateMessage)ai).paddingTop = paramInt3;
    ((AbstractCameraUpdateMessage)ai).paddingBottom = paramInt3;
    ((AbstractCameraUpdateMessage)ai).width = paramInt1;
    ((AbstractCameraUpdateMessage)ai).height = paramInt2;
    return (AbstractCameraUpdateMessage)ai;
  }
  
  public static AbstractCameraUpdateMessage a(LatLngBounds paramLatLngBounds, int paramInt1, int paramInt2, int paramInt3, int paramInt4) {
    ai ai;
    ((AbstractCameraUpdateMessage)(ai = new ai())).nowType = AbstractCameraUpdateMessage.Type.newLatLngBounds;
    ((AbstractCameraUpdateMessage)ai).bounds = paramLatLngBounds;
    ((AbstractCameraUpdateMessage)ai).paddingLeft = paramInt1;
    ((AbstractCameraUpdateMessage)ai).paddingRight = paramInt2;
    ((AbstractCameraUpdateMessage)ai).paddingTop = paramInt3;
    ((AbstractCameraUpdateMessage)ai).paddingBottom = paramInt4;
    return (AbstractCameraUpdateMessage)ai;
  }
  
  public static AbstractCameraUpdateMessage c() {
    return (AbstractCameraUpdateMessage)new aj();
  }
}
